<?PHP
/**
 * This file contains an exception class for wrongly used files.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class for wrongly used files.
 */
final class MDWrongFileType extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'This file\'s extension or mimetype is incorrect: ' . $this->getMessage();

    }
}
